{
  "name": "ivprog",
  "version": "4.4.0",
  "description": "IMA para o ensino de programação",
  "main": "js/main.js",
  "scripts": {
    "start": "http-server ./build",
    "build": "webpack --mode=development",
    "watch": "webpack --watch --mode=development",
    "compile": "webpack --mode=production && rm build/js/*.map && tar -zcvf ivprog.tar.gz build/",
    "test": "./node_modules/karma/bin/karma start"
  },
  "repository": {
    "type": "git",
    "url": "git+https://git.lcalion.com/ivprog.git"
  },
  "keywords": [
    "programação",
    "ensino",
    "visual"
  ],
  "author": "LInE-IME/USP",
  "license": "MIT",
  "bugs": {
    "url": "https://git.lcalion.com/ivprog/issues"
  },
  "homepage": "https://git.lcalion.com/ivprog#readme",
  "devDependencies": {
    "@babel/core": "^7.10.2",
    "@babel/plugin-transform-runtime": "^7.10.1",
    "@babel/preset-env": "^7.10.2",
    "@types/moo": "^0.5.5",
    "@typescript-eslint/eslint-plugin": "^5.7.0",
    "@typescript-eslint/parser": "^5.0.0",
    "babel-loader": "^8.0.6",
    "clean-webpack-plugin": "3.x",
    "copy-webpack-plugin": "10.x",
    "csv-parser": "^2.3.3",
    "eslint": "^8.5.0",
    "html-webpack-plugin": "^5.5.0",
    "http-server": "^14.0.0",
    "ts-loader": "^5.4.5",
    "typescript": "^3.9.5",
    "webpack": "^5",
    "webpack-cli": "4.x"
  },
  "dependencies": {
    "@babel/runtime": "^7.10.2",
    "codemirror": "^5.64.0",
    "decimal.js": "^10.2.0",
    "line-i18n": "git+http://200.144.254.107/git/LInE/line-i18n.git",
    "melanke-watchjs": "^1.5.0",
    "moo": "^0.5.1"
  }
}
